Skip to main content
`Ctrl`+`K`

# PetscSpaceRegisterAll

Registers all of the PetscSpace components in the PetscFE package.

## Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode PetscSpaceRegisterAll(void)

Not Collective

## See Also

`PetscSpaceRegister()`, `PetscSpaceRegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmregall.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages